# Kite - Detailed Router

Public Member Functions | Static Public Member Functions | List of all members
KiteEngine Class Reference

The Kite Tool. More...

Inheritance diagram for KiteEngine:
[legend]

## Public Member Functions
KatabaticEngine * | base ()
Configuration * | getKiteConfiguration ()
virtual Configuration * | getConfiguration ()
Net * | getBlockageNet ()
bool | getToolSuccess () const
unsigned long | getEventsLimit () const
unsigned int | getRipupLimit (unsigned int type) const
unsigned int | getRipupCost () const

## Static Public Member Functions
static const Name & | staticGetName ()
static KiteEngine * | create (Cell *)
static KiteEngine * | get (const Cell *)

## Detailed Description

The Kite Tool.

Lookup Mechanism

Please look at Kite::Session for an explanation of the lookup mechanism from Hurricane::Segment or Katabatic::AutoSegment to TrackSegment.

## Member Function Documentation

## ◆ staticGetName()

const Name & staticGetName | ( |  | ) |
| static

Returns: The unique string identifier for the KiteEngine class of ToolEngine.

## ◆ create()

KiteEngine * create | ( | Cell * | cell | ) |
| static

Create a KiteEngine on `cell`.

## ◆ get()

KiteEngine * get | ( | const Cell * | cell | ) |
| static

Returns: The KiteEngine associated to `cell`. `NULL` if there isn't.

## ◆ base()

KatabaticEngine * base | ( |  | ) |
| inline

Returns: The KiteEngine, casted as it's base class (KatabaticEngine).

## ◆ getKiteConfiguration()

Configuration * getKiteConfiguration | ( |  | ) |
| inline

Returns: The KiteEngine configuration. The Kite Configuration is a derived class of KatabaticConfiguration.

## ◆ getConfiguration()

Configuration * getConfiguration | ( |  | ) |
| virtual

Returns: The KiteEngine configuration.

Reimplemented from KatabaticEngine.

## ◆ getBlockageNet()

Net * getBlockageNet | ( |  | ) |
| inline

Returns: The Net which is used to mark the blockage segments. It's not part of the Configuration per se but an isolated attribute.

## ◆ getToolSuccess()

bool getToolSuccess | ( |  | ) | const
| inline

Returns: true if the tool was successful, that is, all the Net were routeds.

## ◆ getEventsLimit()

unsigned long getEventsLimit | ( |  | ) | const
| inline

Returns: The maximal number of allowed routing events. This limit is a security against infinite looping, be sure that it is great enough not to prevent normal routing completion.

## ◆ getRipupLimit()

unsigned long getRipupLimit | ( | unsigned int | type | ) | const
| inline

Returns: the maximum ripup allowed of a segment of `type`.

Referenced by Manipulator::canRipup(), and SegmentAction::doAction().

## ◆ getRipupCost()

unsigned long getRipupCost | ( |  | ) | const
| inline

Returns: the differential used while comparing two ripup costs.

The documentation for this class was generated from the following files:

- KiteEngine.h
- KiteEngine.dox

Generated by doxygen 1.8.14 on Mon Feb 3 2020 | Return to top of page

Kite - Detailed Router | Copyright © 2008-2016 UPMC. All rights reserved